> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truecall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign

> Retrieves details of a specific campaign identified by its ID.



## OpenAPI

````yaml public-openapi GET /campaigns/{id}
openapi: 3.0.1
info:
  title: TrueCall Api Specs
  description: TrueCall public API reference
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.truecall.com
security:
  - bearerAuth: []
paths:
  /campaigns/{id}:
    get:
      description: Retrieves details of a specific campaign identified by its ID.
      parameters:
        - $ref: '#/components/parameters/ItemIdParam'
      responses:
        '200':
          description: Campaign details response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignResponse'
        '400':
          $ref: '#/components/responses/BadReqResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/CampaignNotFoundResponse'
components:
  parameters:
    ItemIdParam:
      name: id
      in: path
      description: ID of the item to retrieve.
      required: true
      schema:
        type: string
  schemas:
    CampaignResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/SuccessStatus'
        data:
          $ref: '#/components/schemas/CampaignDetailsSnippet'
    SuccessStatus:
      type: string
      enum:
        - success
        - error
      example: success
    CampaignDetailsSnippet:
      type: object
      properties:
        id:
          type: string
          description: id of the campaign
        api_key:
          type: string
          description: api_key associated with the campaign
        name:
          type: string
          description: name of the campaign
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        sources_config:
          $ref: '#/components/schemas/CampaignSourcesConfigObject'
    MissingApiKeySchema:
      required:
        - error
        - message
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ErrorStatus'
        message:
          type: string
          example: Missing api_key
    InvalidApiKeySchema:
      required:
        - error
        - message
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ErrorStatus'
        message:
          type: string
          example: Invalid api_key
    CampaignNotFoundSchema:
      required:
        - error
        - message
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ErrorStatus'
        message:
          type: string
          example: Campaign not found
    CreatedAt:
      type: number
      description: timestamp representation of when the item was created
      example: 1718104009000
    CampaignSourcesConfigObject:
      type: object
      description: allow / block sources configuration of the campaign
      properties:
        allow:
          type: array
          nullable: true
          description: list all the allowed sources this campaign allows (if applicable)
          items:
            type: string
        block:
          type: array
          nullable: true
          description: list all the blocked sources this campaign allows (if applicable)
          items:
            type: string
        allow_all:
          type: boolean
          description: true = allow any source
          nullable: true
    ErrorStatus:
      type: string
      enum:
        - error
      example: error
  responses:
    BadReqResponse:
      description: Bad request exception
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/MissingApiKeySchema'
    UnauthorizedResponse:
      description: Unauthorized exception
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InvalidApiKeySchema'
    CampaignNotFoundResponse:
      description: NotFound exception
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CampaignNotFoundSchema'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````